package be.iminds.ilabt.jfed.experimenter_gui.gts_editor;

import be.iminds.ilabt.jfed.gts.model.impl.FXGtsType;

import javax.annotation.Nullable;
import java.io.File;

/**
 * User: twalcari
 * Date: 2/11/2016
 * Time: 12:17
 */
public class EditableFileGtsDsl extends EditableGtsDsl {

    /**
     * The file from which the GTS DSL has been loaded, or where it has been saved last time.
     */
    @Nullable
    private File file = null;

    public EditableFileGtsDsl(FXGtsType model, File file) {
        super(model);
        this.file = file;
    }

    public File getFile() {
        return file;
    }

    public void setFile(File file) {
        assert (file != null);
        this.file = file;
    }
}
